Skip to main content

Fleet Counts

Fleet Counts are the daily number of Devices in a Project, either for the whole Project or broken down by Cohort.

Fleet Counts​

Query Parameters​

Query ParameterTypeDescription
startDateFirst day (UTC, inclusive)
Example: start=2026-10-01. Defaults to today
endDateLast day (UTC, inclusive). Requires start
Example: end=2026-10-14. Defaults to today

Response Schema​

{
"data": {
"counts": [
{
"date": "2026-10-14",
"active": 125,
"pending": 4,
"total": 152
}
]
}
}

Fleet Counts by Cohort​

Query Parameters​

Query ParameterTypeDescription
startDateFirst day (UTC, inclusive)
Example: start=2026-10-01. Defaults to today
endDateLast day (UTC, inclusive). Requires start
Example: end=2026-10-14. Defaults to today
cohortString[]Cohort slugs
Example: cohort=alpha&cohort=beta. Defaults to all Cohorts

Response Schema​

{
"data": {
"counts": [
{
"date": "2026-10-14",
"cohort_id": 7,
"cohort_slug": "internal",
"active": 45,
"pending": 2,
"total": 52
}
]
}
}